> For a complete page index, fetch https://developer.close.com/llms.txt

# Create a Sequence

POST https://api.close.com/api/v1/sequence/
Content-Type: application/json

Reference: https://developer.close.com/api/resources/sequences/create

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Close API
  version: 1.0.0
paths:
  /sequence/:
    post:
      operationId: create
      summary: Create a Sequence
      tags:
        - subpackage_sequences
      parameters:
        - name: Authorization
          in: header
          description: Use your API key as the username and leave the password empty.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/sequences_create_Response_200'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                description: Any type
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Not found
          content:
            application/json:
              schema:
                description: Any type
      requestBody:
        content:
          application/json:
            schema:
              description: Any type
servers:
  - url: https://api.close.com/api/v1
components:
  schemas:
    sequences_create_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: sequences_create_Response_200
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: basic
      description: Use your API key as the username and leave the password empty.
    OAuth2:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python
import requests

url = "https://api.close.com/api/v1/sequence/"

payload = {
    "name": "My Sequence",
    "schedule": { "ranges": [
            {
                "end": "16:59",
                "start": "09:00",
                "weekday": 1
            },
            {
                "end": "16:59",
                "start": "09:00",
                "weekday": 2
            },
            {
                "end": "16:59",
                "start": "09:00",
                "weekday": 3
            },
            {
                "end": "16:59",
                "start": "09:00",
                "weekday": 4
            },
            {
                "end": "16:59",
                "start": "09:00",
                "weekday": 5
            }
        ] },
    "steps": [
        {
            "delay": 0,
            "required": True,
            "step_type": "call"
        },
        {
            "delay": 86400,
            "email_template_id": "tmpl_00jcushDRuoBBS5sSTUAbNt4dPpBUhlJqQafVfzzRJn",
            "step_type": "email",
            "threading": "old_thread"
        },
        {
            "delay": 259200,
            "email_template_id": "tmpl_l12k3as9d008324ljeANFTyS239048asdFdsVfnzaln",
            "threading": "old_thread"
        }
    ],
    "timezone": "America/Los_Angeles"
}
headers = {
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript
const url = 'https://api.close.com/api/v1/sequence/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {
  method: 'POST',
  headers: {Authorization: `Basic ${credentials}`, 'Content-Type': 'application/json'},
  body: '{"name":"My Sequence","schedule":{"ranges":[{"end":"16:59","start":"09:00","weekday":1},{"end":"16:59","start":"09:00","weekday":2},{"end":"16:59","start":"09:00","weekday":3},{"end":"16:59","start":"09:00","weekday":4},{"end":"16:59","start":"09:00","weekday":5}]},"steps":[{"delay":0,"required":true,"step_type":"call"},{"delay":86400,"email_template_id":"tmpl_00jcushDRuoBBS5sSTUAbNt4dPpBUhlJqQafVfzzRJn","step_type":"email","threading":"old_thread"},{"delay":259200,"email_template_id":"tmpl_l12k3as9d008324ljeANFTyS239048asdFdsVfnzaln","threading":"old_thread"}],"timezone":"America/Los_Angeles"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/sequence/"

	payload := strings.NewReader("{\n  \"name\": \"My Sequence\",\n  \"schedule\": {\n    \"ranges\": [\n      {\n        \"end\": \"16:59\",\n        \"start\": \"09:00\",\n        \"weekday\": 1\n      },\n      {\n        \"end\": \"16:59\",\n        \"start\": \"09:00\",\n        \"weekday\": 2\n      },\n      {\n        \"end\": \"16:59\",\n        \"start\": \"09:00\",\n        \"weekday\": 3\n      },\n      {\n        \"end\": \"16:59\",\n        \"start\": \"09:00\",\n        \"weekday\": 4\n      },\n      {\n        \"end\": \"16:59\",\n        \"start\": \"09:00\",\n        \"weekday\": 5\n      }\n    ]\n  },\n  \"steps\": [\n    {\n      \"delay\": 0,\n      \"required\": true,\n      \"step_type\": \"call\"\n    },\n    {\n      \"delay\": 86400,\n      \"email_template_id\": \"tmpl_00jcushDRuoBBS5sSTUAbNt4dPpBUhlJqQafVfzzRJn\",\n      \"step_type\": \"email\",\n      \"threading\": \"old_thread\"\n    },\n    {\n      \"delay\": 259200,\n      \"email_template_id\": \"tmpl_l12k3as9d008324ljeANFTyS239048asdFdsVfnzaln\",\n      \"threading\": \"old_thread\"\n    }\n  ],\n  \"timezone\": \"America/Los_Angeles\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/sequence/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"My Sequence\",\n  \"schedule\": {\n    \"ranges\": [\n      {\n        \"end\": \"16:59\",\n        \"start\": \"09:00\",\n        \"weekday\": 1\n      },\n      {\n        \"end\": \"16:59\",\n        \"start\": \"09:00\",\n        \"weekday\": 2\n      },\n      {\n        \"end\": \"16:59\",\n        \"start\": \"09:00\",\n        \"weekday\": 3\n      },\n      {\n        \"end\": \"16:59\",\n        \"start\": \"09:00\",\n        \"weekday\": 4\n      },\n      {\n        \"end\": \"16:59\",\n        \"start\": \"09:00\",\n        \"weekday\": 5\n      }\n    ]\n  },\n  \"steps\": [\n    {\n      \"delay\": 0,\n      \"required\": true,\n      \"step_type\": \"call\"\n    },\n    {\n      \"delay\": 86400,\n      \"email_template_id\": \"tmpl_00jcushDRuoBBS5sSTUAbNt4dPpBUhlJqQafVfzzRJn\",\n      \"step_type\": \"email\",\n      \"threading\": \"old_thread\"\n    },\n    {\n      \"delay\": 259200,\n      \"email_template_id\": \"tmpl_l12k3as9d008324ljeANFTyS239048asdFdsVfnzaln\",\n      \"threading\": \"old_thread\"\n    }\n  ],\n  \"timezone\": \"America/Los_Angeles\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.close.com/api/v1/sequence/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"My Sequence\",\n  \"schedule\": {\n    \"ranges\": [\n      {\n        \"end\": \"16:59\",\n        \"start\": \"09:00\",\n        \"weekday\": 1\n      },\n      {\n        \"end\": \"16:59\",\n        \"start\": \"09:00\",\n        \"weekday\": 2\n      },\n      {\n        \"end\": \"16:59\",\n        \"start\": \"09:00\",\n        \"weekday\": 3\n      },\n      {\n        \"end\": \"16:59\",\n        \"start\": \"09:00\",\n        \"weekday\": 4\n      },\n      {\n        \"end\": \"16:59\",\n        \"start\": \"09:00\",\n        \"weekday\": 5\n      }\n    ]\n  },\n  \"steps\": [\n    {\n      \"delay\": 0,\n      \"required\": true,\n      \"step_type\": \"call\"\n    },\n    {\n      \"delay\": 86400,\n      \"email_template_id\": \"tmpl_00jcushDRuoBBS5sSTUAbNt4dPpBUhlJqQafVfzzRJn\",\n      \"step_type\": \"email\",\n      \"threading\": \"old_thread\"\n    },\n    {\n      \"delay\": 259200,\n      \"email_template_id\": \"tmpl_l12k3as9d008324ljeANFTyS239048asdFdsVfnzaln\",\n      \"threading\": \"old_thread\"\n    }\n  ],\n  \"timezone\": \"America/Los_Angeles\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.close.com/api/v1/sequence/', [
  'body' => '{
  "name": "My Sequence",
  "schedule": {
    "ranges": [
      {
        "end": "16:59",
        "start": "09:00",
        "weekday": 1
      },
      {
        "end": "16:59",
        "start": "09:00",
        "weekday": 2
      },
      {
        "end": "16:59",
        "start": "09:00",
        "weekday": 3
      },
      {
        "end": "16:59",
        "start": "09:00",
        "weekday": 4
      },
      {
        "end": "16:59",
        "start": "09:00",
        "weekday": 5
      }
    ]
  },
  "steps": [
    {
      "delay": 0,
      "required": true,
      "step_type": "call"
    },
    {
      "delay": 86400,
      "email_template_id": "tmpl_00jcushDRuoBBS5sSTUAbNt4dPpBUhlJqQafVfzzRJn",
      "step_type": "email",
      "threading": "old_thread"
    },
    {
      "delay": 259200,
      "email_template_id": "tmpl_l12k3as9d008324ljeANFTyS239048asdFdsVfnzaln",
      "threading": "old_thread"
    }
  ],
  "timezone": "America/Los_Angeles"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/sequence/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.POST);

request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"My Sequence\",\n  \"schedule\": {\n    \"ranges\": [\n      {\n        \"end\": \"16:59\",\n        \"start\": \"09:00\",\n        \"weekday\": 1\n      },\n      {\n        \"end\": \"16:59\",\n        \"start\": \"09:00\",\n        \"weekday\": 2\n      },\n      {\n        \"end\": \"16:59\",\n        \"start\": \"09:00\",\n        \"weekday\": 3\n      },\n      {\n        \"end\": \"16:59\",\n        \"start\": \"09:00\",\n        \"weekday\": 4\n      },\n      {\n        \"end\": \"16:59\",\n        \"start\": \"09:00\",\n        \"weekday\": 5\n      }\n    ]\n  },\n  \"steps\": [\n    {\n      \"delay\": 0,\n      \"required\": true,\n      \"step_type\": \"call\"\n    },\n    {\n      \"delay\": 86400,\n      \"email_template_id\": \"tmpl_00jcushDRuoBBS5sSTUAbNt4dPpBUhlJqQafVfzzRJn\",\n      \"step_type\": \"email\",\n      \"threading\": \"old_thread\"\n    },\n    {\n      \"delay\": 259200,\n      \"email_template_id\": \"tmpl_l12k3as9d008324ljeANFTyS239048asdFdsVfnzaln\",\n      \"threading\": \"old_thread\"\n    }\n  ],\n  \"timezone\": \"America/Los_Angeles\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```